Bug 1415908 (CVE-2016-10142) - CVE-2016-10142 kernel - IPV6 fragmentation flaw
Summary: CVE-2016-10142 kernel - IPV6 fragmentation flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10142
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1415910 (view as bug list)
Depends On: 1415930 1415931 1415932
Blocks: 1413640
TreeView+ depends on / blocked
 
Reported: 2017-01-24 03:57 UTC by Wade Mealing
Modified: 2021-02-17 02:44 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that a remote attacker could leverage the generation of IPv6 atomic fragments to trigger the use of fragmentation in an arbitrary IPv6 flow (in scenarios in which actual fragmentation of packets is not needed) and could subsequently perform any type of a fragmentation-based attack against legacy IPv6 nodes that do not implement RFC6946.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0817 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2017-03-21 13:06:51 UTC

Description Wade Mealing 2017-01-24 03:57:01 UTC
An issue was discovered in the IPv6 protocol specification, related to ICMP Packet Too Big (PTB) messages. (The scope of this CVE is all affected IPv6 implementations from all vendors.) The security implications of IP fragmentation have been discussed at length in [RFC6274] and [RFC7739]. An attacker can leverage the generation of IPv6 atomic fragments to trigger the use of fragmentation in an arbitrary IPv6 flow (in scenarios in which actual fragmentation of packets is not needed) and can subsequently perform any type of fragmentation-based attack against legacy IPv6 nodes that do not implement [RFC6946]. That is, employing fragmentation where not actually needed allows for fragmentation-based attack vectors to be employed, unnecessarily. 

We note that, unfortunately, even nodes that already implement [RFC6946] can be subject to DoS attacks as a result of the generation of IPv6 atomic fragments. Let us assume that Host A is communicating with Host B and that, as a result of the widespread dropping of IPv6 packets that contain extension headers (including fragmentation) [RFC7872], some intermediate node filters fragments between Host B and Host A. If an attacker sends a forged ICMPv6 PTB error message to Host B, reporting an MTU smaller than 1280, this will trigger the generation of IPv6 atomic fragments from that moment on (as required by [RFC2460]). When Host B starts sending IPv6 atomic fragments (in response to the received ICMPv6 PTB error message), these packets will be dropped, since we previously noted that IPv6 packets with extension headers were being dropped between Host B and Host A. Thus, this situation will result in a DoS scenario.

Another possible scenario is that in which two BGP peers are employing IPv6 transport and they implement Access Control Lists (ACLs) to drop IPv6 fragments (to avoid control-plane attacks). If the aforementioned BGP peers drop IPv6 fragments but still honor received ICMPv6 PTB error messages, an attacker could easily attack the corresponding peering session by simply sending an ICMPv6 PTB message with a reported MTU smaller than 1280 bytes. Once the attack packet has been sent, the aforementioned routers will themselves be the ones dropping their own traffic.

 References: https://tools.ietf.org/html/rfc8021
 Patches: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=9d289715eb5c252ae15bd547cb252ca547a3c4f2

Comment 2 Wade Mealing 2017-01-24 04:47:21 UTC
Statement:

This issue affects the Linux kernel shipping with Red Hat Enterprise Linux 7 and MRG-2 prior to 2.6.32-440.  Versions after this release have the solution applied.

This issue also affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6. Future updates for the respective releases may address the issue.

This issue does not not affect Red Hat Enterprise Linux 5.

This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Wade Mealing 2017-01-24 06:11:34 UTC
*** Bug 1415910 has been marked as a duplicate of this bug. ***

Comment 5 Wade Mealing 2017-01-24 06:22:57 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1415932]

Comment 7 errata-xmlrpc 2017-03-21 13:30:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0817 https://rhn.redhat.com/errata/RHSA-2017-0817.html


Note You need to log in before you can comment on or make changes to this bug.